Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.jbo.common
Class JboXMLUtil

    java.lang.Object
      |
      +--oracle.jbo.common.JboXMLUtil

public class JboXMLUtil
extends java.lang.Object

Internal: Applications should not use this class.

Constructor Summary
`JboXMLUtil()`

Method Summary
`static org.w3c.dom.Node` | `getFirstChildByType(org.w3c.dom.Node elem, short type)`
`static org.w3c.dom.Node` | `getNextSiblingByType(org.w3c.dom.Node elem, short type)`
`static void` | `processAndReadXML(XMLInterface obj, org.w3c.dom.Element elem, int depthCount, oracle.xml.parser.v2.XSLStylesheet xslt)`
`static org.w3c.dom.Node` | `writeAndProcessXML(XMLInterface obj, int depthCount, long options, oracle.xml.parser.v2.XSLStylesheet xslt)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JboXMLUtil

    public JboXMLUtil()

Method Detail

### writeAndProcessXML

    public static org.w3c.dom.Node writeAndProcessXML(XMLInterface obj,
                                                      int depthCount,
                                                      long options,
                                                      oracle.xml.parser.v2.XSLStylesheet xslt)

### processAndReadXML

    public static void processAndReadXML(XMLInterface obj,
                                         org.w3c.dom.Element elem,
                                         int depthCount,
                                         oracle.xml.parser.v2.XSLStylesheet xslt)

### getFirstChildByType

    public static org.w3c.dom.Node getFirstChildByType(org.w3c.dom.Node elem,
                                                       short type)

### getNextSiblingByType

    public static org.w3c.dom.Node getNextSiblingByType(org.w3c.dom.Node elem,
                                                        short type)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Business Components
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD